# Interface IdentifiedObject

All Known Subinterfaces:
  `AffineCS, CartesianCS, CompoundCRS, ConcatenatedOperation, ConicProjection, Conversion, CoordinateOperation, CoordinateReferenceSystem, CoordinateSystem, CoordinateSystemAxis, CylindricalCS, CylindricalProjection, Datum, DerivedCRS, Ellipsoid, EllipsoidalCS, EngineeringCRS, EngineeringDatum, GeneralDerivedCRS, GeneralParameterDescriptor, GeocentricCRS, GeodeticCRS, GeodeticDatum, GeographicCRS, ImageCRS, ImageDatum, LinearCS, OperationMethod, ParameterDescriptor<T>, ParameterDescriptorGroup, PassThroughOperation, PlanarProjection, PolarCS, PrimeMeridian, ProjectedCRS, Projection, ReferenceSystem, SingleCRS, SingleOperation, SphericalCS, TemporalCRS, TemporalDatum, TimeCS, Transformation, UserDefinedCS, VerticalCRS, VerticalCS, VerticalDatum`

All Known Implementing Classes:
  `AbstractCoordinateOperation, AbstractCRS, AbstractCS, AbstractDatum, AbstractIdentifiedObject, AbstractParameterDescriptor, AbstractReferenceSystem, DefaultAffineCS, DefaultCartesianCS, DefaultCompoundCRS, DefaultCompoundCS, DefaultConversion, DefaultCoordinateSystemAxis, DefaultCylindricalCS, DefaultDatumEnsemble, DefaultDerivedCRS, DefaultEllipsoid, DefaultEllipsoidalCS, DefaultEngineeringCRS, DefaultEngineeringDatum, DefaultGeocentricCRS, DefaultGeodeticDatum, DefaultGeodeticDatum​.Dynamic, DefaultGeographicCRS, DefaultLinearCS, DefaultOperationMethod, DefaultParameterDescriptor, DefaultParameterDescriptorGroup, DefaultParametricCRS, DefaultParametricCS, DefaultParametricDatum, DefaultPassThroughOperation, DefaultPolarCS, DefaultPrimeMeridian, DefaultProjectedCRS, DefaultSphericalCS, DefaultTemporalCRS, DefaultTemporalDatum, DefaultTimeCS, DefaultTransformation, DefaultVerticalCRS, DefaultVerticalCS, DefaultVerticalDatum, DefaultVerticalDatum​.Dynamic, GeohashReferenceSystem, MilitaryGridReferenceSystem, ReferencingByIdentifiers`

@UML(identifier="IO_IdentifiedObject", specification=ISO_19111) public interface IdentifiedObject
Supplementary identification and remarks information for a CRS or CRS-related object. When `CRSAuthorityFactory` is used to create an object, the authority and authority code values shall be set to the authority name of the factory object, and the authority code supplied by the client, respectively. The other values may or may not be set. If the authority is EPSG, the implementer may consider using the corresponding metadata values in the EPSG tables.

Since:
  2.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALIAS_KEY`
  Key for the `"alias"` property to be given to the object factory `createFoo(…)` methods.
  `static final String`
  `IDENTIFIERS_KEY`
  Key for the `"identifiers"` property to be given to the object factory `createFoo(…)` methods.
  `static final String`
  `NAME_KEY`
  Key for the `"name"` property to be given to the object factory `createFoo(…)` methods.
  `static final String`
  `REMARKS_KEY`
  Key for the `"remarks"` property to be given to the object factory `createFoo(…)` methods.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<GenericName>`
  `getAlias()`
  An alternative name by which this object is identified.
  `Set<ReferenceIdentifier>`
  `getIdentifiers()`
  An identifier which references elsewhere the object's defining information.
  `ReferenceIdentifier`
  `getName()`
  The primary name by which this object is identified.
  `InternationalString`
  `getRemarks()`
  Comments on or information about this object, including data source information.
  `String`
  `toWKT()`
  Returns a Well Known Text (WKT) for this object.

- ## Field Details

  - ### NAME_KEY

    static final String NAME_KEY
    Key for the `"name"` property to be given to the object factory `createFoo(…)` methods. This is used for setting the value to be returned by `getName()`.
    See Also:
      - `getName()`
      - Constant Field Values

  - ### ALIAS_KEY

    static final String ALIAS_KEY
    Key for the `"alias"` property to be given to the object factory `createFoo(…)` methods. This is used for setting the value to be returned by `getAlias()`.
    See Also:
      - `getAlias()`
      - Constant Field Values

  - ### IDENTIFIERS_KEY

    static final String IDENTIFIERS_KEY
    Key for the `"identifiers"` property to be given to the object factory `createFoo(…)` methods. This is used for setting the value to be returned by `getIdentifiers()`.
    See Also:
      - `getIdentifiers()`
      - Constant Field Values

  - ### REMARKS_KEY

    static final String REMARKS_KEY
    Key for the `"remarks"` property to be given to the object factory `createFoo(…)` methods. This is used for setting the value to be returned by `getRemarks()`.
    See Also:
      - `getRemarks()`
      - Constant Field Values

- ## Method Details

  - ### getName

    @UML(identifier="name", obligation=MANDATORY, specification=ISO_19111) ReferenceIdentifier getName()
    The primary name by which this object is identified.
    Returns:
      The primary name.

  - ### getAlias

    @UML(identifier="alias", obligation=OPTIONAL, specification=ISO_19111) Collection<GenericName> getAlias()
    An alternative name by which this object is identified.
    Returns:
      The aliases, or an empty collection if there is none.

  - ### getIdentifiers

    @UML(identifier="identifier", obligation=OPTIONAL, specification=ISO_19111) Set<ReferenceIdentifier> getIdentifiers()
    An identifier which references elsewhere the object's defining information. Alternatively an identifier by which this object can be referenced.
    Returns:
      This object identifiers, or an empty set if there is none.

  - ### getRemarks

    @UML(identifier="remarks", obligation=OPTIONAL, specification=ISO_19111) InternationalString getRemarks()
    Comments on or information about this object, including data source information.
    Returns:
      The remarks, or `null` if none.

  - ### toWKT

    String toWKT() throws UnsupportedOperationException
    Returns a Well Known Text (WKT) for this object. This operation may fails if an object is too complex for the WKT format capability (for example an engineering CRS with different unit for each axis).
    Returns:
      The Well Know Text for this object.
    Throws:
      `UnsupportedOperationException` - If this object cannot be formatted as WKT.